# Generated by go2rpm 1.8.1
#
# This specfile is licensed under:
# SPDX-License-Identifier: MIT
# License text: https://spdx.org/licenses/MIT.html
# SPDX-FileCopyrightText: 2022 Maxwell G <gotmax@e.email>
# SPDX-FileCopyrightText: Fedora Project Authors

%bcond_without check

# https://github.com/emersion/go-msgauth
%global goipath         github.com/emersion/go-msgauth
Version:                0.6.6

%gometa

%global common_description %{expand:
A Go library and tools for DKIM, DMARC and Authentication-Results.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        A Go library and tools for DKIM, DMARC and Authentication-Results

License:        MIT
URL:            %{gourl}
# The maintainer provides a signed archive, so use that instead of the Github
# generated one.
# https://docs.fedoraproject.org/en-US/packaging-guidelines/#_source_file_verification
# Source:         %%{gosource}
%global signed_source %{gourl}/releases/download/v%{version}/go-msgauth-%{version}.tar.gz
Source0:        %{signed_source}
Source1:        %{signed_source}.sig
Source2:        https://emersion.fr/.well-known/openpgpkey/hu/dj3498u4hyyarh35rkjfnghbjxug6b19#/emersion.asc

BuildRequires:  gnupg2

%description %{common_description}

%gopkg

%prep
%gpgverify -d0 -s1 -k2
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/{dkim-keygen,dkim-milter,dkim-verify,dmarc-lookup}

%gopkgfiles

%changelog
%autochangelog
